xattr Functions
xattr_list
xattr Functions
PHP Manual

# xattr_get

Get an extended attribute

### Description

string xattr_get ( string `$filename` , string `$name` [, int `$flags` = 0 ] )

This function gets the value of an extended attribute of a file.

Extended attributes have two different namespaces: user and root. The user namespace is available to all users, while the root namespace is available only to users with root privileges. xattr operates on the user namespace by default, but this can be changed with the `flags` parameter.

### Parameters

`filename`

  The file from which we get the attribute.

`name`

  The name of the attribute.

`flags`

  Supported xattr flags
  `XATTR_DONTFOLLOW` | Do not follow the symbolic link but operate on symbolic link itself.
  `XATTR_ROOT` | Set attribute in root (trusted) namespace. Requires root privileges.

### Return Values

Returns a string containing the value or `FALSE` if the attribute doesn't exist.

### Examples

Example #1 Checks if system administrator has signed the file

`<?php
$file = '/usr/local/sbin/some_binary';
$signature = xattr_get($file, 'Root signature', XATTR_ROOT);
/* ... check if $signature is valid ... */
?>`

### See Also

- xattr_list
- xattr_set
- xattr_remove